# class GraphicsGradientFill

#### package openfl.display

#### implements IGraphicsFill, IGraphicsData

Available on all platforms

### Constructor

###

`new (?type:GradientType, ?colors:Array<UInt>, ?alphas:Array<Float>, ?ratios:Array<UInt>, ?matrix:Matrix, ?spreadMethod:SpreadMethod, ?interpolationMethod:InterpolationMethod, focalPointRatio:Float = 0)`

### Variables

###

`alphas:Array<Float>`

###

`colors:Array<UInt>`

###

`focalPointRatio:Float`

###

`interpolationMethod:InterpolationMethod`

###

`matrix:Matrix`

###

`ratios:Array<UInt>`

###

`spreadMethod:SpreadMethod`

###

`type:GradientType`